<?php 

	$lz_charity_welfare_custom_style = '';

	// Logo Size
	$lz_charity_welfare_logo_top_padding = get_theme_mod('lz_charity_welfare_logo_top_padding');
	$lz_charity_welfare_logo_bottom_padding = get_theme_mod('lz_charity_welfare_logo_bottom_padding');
	$lz_charity_welfare_logo_left_padding = get_theme_mod('lz_charity_welfare_logo_left_padding');
	$lz_charity_welfare_logo_right_padding = get_theme_mod('lz_charity_welfare_logo_right_padding');

	if( $lz_charity_welfare_logo_top_padding != '' || $lz_charity_welfare_logo_bottom_padding != '' || $lz_charity_welfare_logo_left_padding != '' || $lz_charity_welfare_logo_right_padding != ''){
		$lz_charity_welfare_custom_style .=' .logo {';
			$lz_charity_welfare_custom_style .=' padding-top: '.esc_attr($lz_charity_welfare_logo_top_padding).'px !important; padding-bottom: '.esc_attr($lz_charity_welfare_logo_bottom_padding).'px !important; padding-left: '.esc_attr($lz_charity_welfare_logo_left_padding).'px !important; padding-right: '.esc_attr($lz_charity_welfare_logo_right_padding).'px !important;';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_logo_size = get_theme_mod('lz_charity_welfare_logo_size');
	if( $lz_charity_welfare_logo_size != '' ) {
		if($lz_charity_welfare_logo_size >= 0 && $lz_charity_welfare_logo_size <= 100) {
			$calculated_width = $lz_charity_welfare_logo_size * 3.5;
			$lz_charity_welfare_custom_style .= ' .custom-logo-link img {';
			$lz_charity_welfare_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$lz_charity_welfare_custom_style .= ' }';
		}
	}

	// service section padding
	$lz_charity_welfare_service_section_padding = get_theme_mod('lz_charity_welfare_service_section_padding');

	if( $lz_charity_welfare_service_section_padding != ''){
		$lz_charity_welfare_custom_style .=' #our-services {';
			$lz_charity_welfare_custom_style .=' padding-top: '.esc_attr($lz_charity_welfare_service_section_padding).'px; padding-bottom: '.esc_attr($lz_charity_welfare_service_section_padding).'px;';
		$lz_charity_welfare_custom_style .=' }';
	}

	// Site Title Font Size
	$lz_charity_welfare_site_title_font_size = get_theme_mod('lz_charity_welfare_site_title_font_size');
	if( $lz_charity_welfare_site_title_font_size != ''){
		$lz_charity_welfare_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$lz_charity_welfare_custom_style .=' font-size: '.esc_attr($lz_charity_welfare_site_title_font_size).'px;';
		$lz_charity_welfare_custom_style .=' }';
	}

	// Site Tagline Font Size
	$lz_charity_welfare_site_tagline_font_size = get_theme_mod('lz_charity_welfare_site_tagline_font_size');
	if( $lz_charity_welfare_site_tagline_font_size != ''){
		$lz_charity_welfare_custom_style .=' .logo p.site-description {';
			$lz_charity_welfare_custom_style .=' font-size: '.esc_attr($lz_charity_welfare_site_tagline_font_size).'px;';
		$lz_charity_welfare_custom_style .=' }';
	}

	// Header Image
	$header_image_url = lz_charity_welfare_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$lz_charity_welfare_custom_style .=' #inner-pages-header {';
			$lz_charity_welfare_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$lz_charity_welfare_custom_style .=' }';
		$lz_charity_welfare_custom_style .=' .header-overlay {';
			$lz_charity_welfare_custom_style .=' position: absolute; 	width: 100%; height: 100%; 	top: 0; left: 0; background: #000; opacity: 0.3;';
		$lz_charity_welfare_custom_style .=' }';
	} else {
		$lz_charity_welfare_custom_style .=' #inner-pages-header {';
			$lz_charity_welfare_custom_style .=' background: linear-gradient(0deg,#62cdb9,#226f60 80%) no-repeat; ';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_slider_hide_show = get_theme_mod('lz_charity_welfare_slider_hide_show',false);
	if( $lz_charity_welfare_slider_hide_show == true){
		$lz_charity_welfare_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$lz_charity_welfare_custom_style .=' display:none;';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_social_color = get_theme_mod('lz_charity_welfare_social_color');
	if ( $lz_charity_welfare_social_color != '') {
		$lz_charity_welfare_custom_style .=' .social-icons i{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_social_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_socialhvr_color = get_theme_mod('lz_charity_welfare_socialhvr_color');
	if ( $lz_charity_welfare_socialhvr_color != '') {
		$lz_charity_welfare_custom_style .=' .social-icons i:hover{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_socialhvr_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_number_color = get_theme_mod('lz_charity_welfare_number_color');
	if ( $lz_charity_welfare_number_color != '') {
		$lz_charity_welfare_custom_style .=' .top a{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_number_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_hdrbtn_color = get_theme_mod('lz_charity_welfare_hdrbtn_color');
	$lz_charity_welfare_hdrbtnbg_color = get_theme_mod('lz_charity_welfare_hdrbtnbg_color');
	if ( $lz_charity_welfare_hdrbtn_color != '') {
		$lz_charity_welfare_custom_style .=' .donate-btn a {';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_hdrbtn_color).'; background-color:'.esc_attr($lz_charity_welfare_hdrbtnbg_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_header_color = get_theme_mod('lz_charity_welfare_donate_header_color');
	if ( $lz_charity_welfare_donate_header_color != '') {
		$lz_charity_welfare_custom_style .=' .menu-section,.top-header{';
			$lz_charity_welfare_custom_style .=' background-color:'.esc_attr($lz_charity_welfare_donate_header_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_headermenu_color = get_theme_mod('lz_charity_welfare_donate_headermenu_color');
	if ( $lz_charity_welfare_donate_headermenu_color != '') {
		$lz_charity_welfare_custom_style .=' .nav-menu a{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_donate_headermenu_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_headermenuhover_color = get_theme_mod('lz_charity_welfare_donate_headermenuhover_color');

	if ( $lz_charity_welfare_donate_headermenuhover_color != '') {
		$lz_charity_welfare_custom_style .=' .nav-menu ul li a:active, .nav-menu ul li a:hover{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_donate_headermenuhover_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_headermenuhover_color = get_theme_mod('lz_charity_welfare_donate_headermenuhover_color');

	if ( $lz_charity_welfare_donate_headermenuhover_color != '') {
		$lz_charity_welfare_custom_style .=' .nav-menu ul li a:active, .nav-menu ul li a:hover{';
			$lz_charity_welfare_custom_style .=' background: linear-gradient(to bottom, '.esc_attr($lz_charity_welfare_donate_headermenuhover_color).' -25%, transparent 46%);';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_headerbdr_color = get_theme_mod('lz_charity_welfare_headerbdr_color');
	if ( $lz_charity_welfare_headerbdr_color != '') {
		$lz_charity_welfare_custom_style .=' .top-header{';
			$lz_charity_welfare_custom_style .=' border-bottom-color:'.esc_attr($lz_charity_welfare_headerbdr_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	// Copyright padding
	$lz_charity_welfare_copyright_padding = get_theme_mod('lz_charity_welfare_copyright_padding');

	if( $lz_charity_welfare_copyright_padding != ''){
		$lz_charity_welfare_custom_style .=' .copyright {';
			$lz_charity_welfare_custom_style .=' padding-top: '.esc_attr($lz_charity_welfare_copyright_padding).'px; padding-bottom: '.esc_attr($lz_charity_welfare_copyright_padding).'px;';
		$lz_charity_welfare_custom_style .=' }';
	}

	//Menu animation
	$lz_charity_welfare_dropdown_anim = get_theme_mod('lz_charity_welfare_dropdown_anim');

	if ( $lz_charity_welfare_dropdown_anim != '') {
		$lz_charity_welfare_custom_style .=' .nav-menu ul ul {';
			$lz_charity_welfare_custom_style .=' animation:'.esc_attr($lz_charity_welfare_dropdown_anim).' 1s ease;';
		$lz_charity_welfare_custom_style .=' }';
	}

	//slider color
	$lz_charity_welfare_slider_title_font_size = get_theme_mod('lz_charity_welfare_slider_title_font_size');

	if( $lz_charity_welfare_slider_title_font_size != ''){
		$lz_charity_welfare_custom_style .=' #slider .inner_carousel h1 {';
			$lz_charity_welfare_custom_style .=' font-size: '.esc_attr($lz_charity_welfare_slider_title_font_size).'px;';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_slider_text_font_size = get_theme_mod('lz_charity_welfare_slider_text_font_size');

	if( $lz_charity_welfare_slider_text_font_size != ''){
		$lz_charity_welfare_custom_style .=' #slider .inner_carousel p {';
			$lz_charity_welfare_custom_style .=' font-size: '.esc_attr($lz_charity_welfare_slider_text_font_size).'px;';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_slider_color = get_theme_mod('lz_charity_welfare_donate_slider_color');

	if ( $lz_charity_welfare_donate_slider_color != '') {
		$lz_charity_welfare_custom_style .=' #slider .inner_carousel h1{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_donate_slider_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_slidertext_color = get_theme_mod('lz_charity_welfare_donate_slidertext_color');

	if ( $lz_charity_welfare_donate_slidertext_color != '') {
		$lz_charity_welfare_custom_style .=' #slider .inner_carousel p{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_donate_slidertext_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_sliderbtn_color = get_theme_mod('lz_charity_welfare_donate_sliderbtn_color');
	$lz_charity_welfare_donate_sliderbtnbg_color = get_theme_mod('lz_charity_welfare_donate_sliderbtnbg_color');
	if ( $lz_charity_welfare_donate_sliderbtn_color != '') {
		$lz_charity_welfare_custom_style .=' #slider .donate-btn a.blogbutton-small{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_donate_sliderbtn_color).'; background-color:'.esc_attr($lz_charity_welfare_donate_sliderbtnbg_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	//service color
	$lz_charity_welfare_our_services_smalltitle_font_size = get_theme_mod('lz_charity_welfare_our_services_smalltitle_font_size');

	if( $lz_charity_welfare_our_services_smalltitle_font_size != ''){
		$lz_charity_welfare_custom_style .=' #our-services p.small-title {';
			$lz_charity_welfare_custom_style .=' font-size: '.esc_attr($lz_charity_welfare_our_services_smalltitle_font_size).'px;';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_our_services_post_title_font_size = get_theme_mod('lz_charity_welfare_our_services_post_title_font_size');

	if( $lz_charity_welfare_our_services_post_title_font_size != ''){
		$lz_charity_welfare_custom_style .='#our-services .content h3 {';
			$lz_charity_welfare_custom_style .=' font-size: '.esc_attr($lz_charity_welfare_our_services_post_title_font_size).'px;';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_our_services_post_text_font_size = get_theme_mod('lz_charity_welfare_our_services_post_text_font_size');

	if( $lz_charity_welfare_our_services_post_text_font_size != ''){
		$lz_charity_welfare_custom_style .=' #our-services .content p {';
			$lz_charity_welfare_custom_style .=' font-size: '.esc_attr($lz_charity_welfare_our_services_post_text_font_size).'px;';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_our_services_title_font_size = get_theme_mod('lz_charity_welfare_our_services_title_font_size');

	if( $lz_charity_welfare_our_services_title_font_size != ''){
		$lz_charity_welfare_custom_style .=' #our-services h2 {';
			$lz_charity_welfare_custom_style .=' font-size: '.esc_attr($lz_charity_welfare_our_services_title_font_size).'px;';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_img_hight = get_theme_mod('lz_charity_welfare_img_hight');

	if( $lz_charity_welfare_img_hight != ''){
		$lz_charity_welfare_custom_style .=' #our-services .service-img img {';
			$lz_charity_welfare_custom_style .=' height: '.esc_attr($lz_charity_welfare_img_hight).'px;';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_service_smalltitle_color = get_theme_mod('lz_charity_welfare_donate_service_smalltitle_color');
	if ( $lz_charity_welfare_donate_service_smalltitle_color != '') {
		$lz_charity_welfare_custom_style .=' #our-services p.small-title{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_donate_service_smalltitle_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_service_title_color = get_theme_mod('lz_charity_welfare_donate_service_title_color');
	if ( $lz_charity_welfare_donate_service_title_color != '') {
		$lz_charity_welfare_custom_style .=' #our-services h2{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_donate_service_title_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_service_imgbdr_color = get_theme_mod('lz_charity_welfare_donate_service_imgbdr_color');
	if ( $lz_charity_welfare_donate_service_imgbdr_color != '') {
		$lz_charity_welfare_custom_style .=' #our-services .service-img img{';
			$lz_charity_welfare_custom_style .=' border-bottom-color:'.esc_attr($lz_charity_welfare_donate_service_imgbdr_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_service_posttitle_color = get_theme_mod('lz_charity_welfare_donate_service_posttitle_color');
	if ( $lz_charity_welfare_donate_service_posttitle_color != '') {
		$lz_charity_welfare_custom_style .=' #our-services .content h3 a{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_donate_service_posttitle_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_donate_service_posttext_color = get_theme_mod('lz_charity_welfare_donate_service_posttext_color');
	if ( $lz_charity_welfare_donate_service_posttext_color != '') {
		$lz_charity_welfare_custom_style .=' #our-services .content p{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_donate_service_posttext_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	//Copyright css
	$lz_charity_welfare_copyright_color = get_theme_mod('lz_charity_welfare_copyright_color');
	if ( $lz_charity_welfare_copyright_color != '') {
		$lz_charity_welfare_custom_style .=' .copyright p, .copyright a{';
			$lz_charity_welfare_custom_style .=' color:'.esc_attr($lz_charity_welfare_copyright_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}

	$lz_charity_welfare_copyrightbg_color = get_theme_mod('lz_charity_welfare_copyrightbg_color');
	if ( $lz_charity_welfare_copyrightbg_color != '') {
		$lz_charity_welfare_custom_style .=' .copyright {';
			$lz_charity_welfare_custom_style .=' background-color:'.esc_attr($lz_charity_welfare_copyrightbg_color).';';
		$lz_charity_welfare_custom_style .=' }';
	}